=== debian/changelog ===
litestar (2.15.1-1) unstable; urgency=medium

  * [ce582a3] New upstream version 2.15.1
  * [6896f0b] Rebuild patch queue from patch queue branch
    Added patch:
    tests-Ignore-config-for-valkey-related-tests.patch
    Updated patch:
    pyproject.toml-Don-t-use-dist-loadgroup.patch
  * [bbe4a3d] d/control: Update Standards-Version to 4.7.2
    No further changes needed.
  * [33f83ac] d/control: Update Build Dependencies
  * [ba94119] d/rules: Updating the test configuration
  * [b4ad0d7] d/README.source: Update information about test config
  * [65bb653] autopkgtest: Update test config here too
  * [d6818af] autopkgtest: Update package test dependencies
  * [475e0da] d/salsa-ci.yml: Add a Salsa CI config

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 09 Mar 2025 11:18:53 +0200

litestar (2.10.0-1) unstable; urgency=medium

  * [0ba5934] New upstream version 2.10.0
  * [b634d83] First and basic Debianization
    (Closes: #1095112)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 08 Feb 2025 15:43:58 +0200
