=== debian/control ===
Source: litestar
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-picologging <!nocheck>,
Build-Depends-Indep:
 pybuild-plugin-pyproject,
 python3-advanced-alchemy <!nocheck>,
 python3-aiosqlite <!nocheck>,
 python3-anyio <!nocheck>,
 python3-asyncmy <!nocheck>,
 python3-asyncpg <!nocheck>,
 python3-beanie <!nocheck>,
 python3-brotli <!nocheck>,
 python3-bs4 <!nocheck>,
 python3-cryptography <!nocheck>,
 python3-flaky <!nocheck>,
 python3-fsspec <!nocheck>,
 python3-hatchling,
 python3-httpx <!nocheck>,
 python3-httpx-sse <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-jwt <!nocheck>,
 python3-litestar-htmx <!nocheck>,
 python3-mako <!nocheck>,
 python3-minijinja <!nocheck>,
 python3-msgspec <!nocheck>,
 python3-multidict <!nocheck>,
 python3-multipart <!nocheck>,
## python3-opentelemetry-sdk <!nocheck>,
## python3-polyfactory <!nocheck>,
 python3-prometheus-client <!nocheck>,
 python3-psutil <!nocheck>,
 python3-psycopg <!nocheck>,
 python3-pydantic <!nocheck>,
 python3-pydantic-extra-types <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-lazy-fixtures <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-redis <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sqlalchemy <!nocheck>,
 python3-starlette <!nocheck>,
 python3-structlog <!nocheck>,
 python3-time-machine <!nocheck>,
 python3-trio <!nocheck>,
 python3-uvicorn <!nocheck>,
 python3-yaml <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/litestar-org/litestar
Vcs-Git: https://salsa.debian.org/python-team/packages/litestar.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/litestar
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

#Package: python-litestar-doc
#Section: doc
#Architecture: all
#Depends:
# ${misc:Depends},
# ${sphinxdoc:Depends},
#Multi-Arch: foreign
#Description: Powerful, flexible, highly performant, opinionated ASGI framework (Documentation)
# LiteStar is a Python web framework (similar to FlastAPI and Django) that is
# designed to be simply but also very flexible. It is built with the goal of
# being easy to learn and use, making it an excellent choice for both beginners
# and experienced developers. LiteStar follows the WSGI (Web Server Gateway
# Interface) standard, which means it can run on various web servers and is
# compatible with popular Python web server gateways like Gunicorn and uWSGI.
# .
# The Litestar framework supports Plugins, ships with dependency injection,
# security primitives, OpenAPI schema generation, MessagePack, middlewares, a
# great CLI experience, and much more.
# .
# Core Features
#  * Class based controllers
#  * Dependency Injection
#  * Layered Middleware
#  * Plugin System
#  * OpenAPI 3.1 schema generation
#  * Life Cycle Hooks
#  * Route Guards based Authorization
#  * Support for dataclasses, TypedDict, pydantic version 1 and version 2,
#    msgspec and attrs
#  * Layered parameter declaration
#  * Support for RFC 9457 standardized "Problem Detail" error responses
#  * Automatic API documentation with:
#   * Scalar
#   * RapiDoc
#   * Redoc
#   * Stoplight Elements
#   * Swagger-UI
#  * Trio support (built-in, via AnyIO)
#  * Ultra-fast validation, serialization and deserialization using msgspec
#  * SQLAlchemy integration
#  * Piccolo ORM Support
# .
# This package contains the documentation for python3-litestar.

Package: python3-litestar
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
#Suggests:
# python-litestar-doc,
Description: Powerful, flexible, highly performant, opinionated ASGI framework
 LiteStar is a Python web framework (similar to FastAPI and Django) that is
 designed to be simply but also very flexible. It is built with the goal of
 being easy to learn and use, making it an excellent choice for both beginners
 and experienced developers. LiteStar follows the WSGI (Web Server Gateway
 Interface) standard, which means it can run on various web servers and is
 compatible with popular Python web server gateways like Gunicorn and uWSGI.
 .
 The Litestar framework supports Plugins, ships with dependency injection,
 security primitives, OpenAPI schema generation, MessagePack, middlewares, a
 great CLI experience, and much more.
 .
 Core Features
  * Class based controllers
  * Dependency Injection
  * Layered Middleware
  * Plugin System
  * OpenAPI 3.1 schema generation
  * Life Cycle Hooks
  * Route Guards based Authorization
  * Support for dataclasses, TypedDict, pydantic version 1 and version 2,
    msgspec and attrs
  * Layered parameter declaration
  * Support for RFC 9457 standardized "Problem Detail" error responses
  * Automatic API documentation with:
   * Scalar
   * RapiDoc
   * Redoc
   * Stoplight Elements
   * Swagger-UI
  * Trio support (built-in, via AnyIO)
  * Ultra-fast validation, serialization and deserialization using msgspec
  * SQLAlchemy integration
  * Piccolo ORM Support
