=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=litestar
export PYBUILD_BEFORE_TEST=cp -a docs {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs
export PYBUILD_TEST_ARGS=\
 --ignore=docs/examples/testing/test_subprocess_sse.py \
 --ignore=tests/examples/test_contrib/test_sqlalchemy/plugins/test_example_apps.py \
 --ignore=tests/examples/test_pagination/test_using_classic_pagination.py \
 --ignore=tests/examples/test_pagination/test_using_cursor_pagination.py \
 --ignore=tests/examples/test_pagination/test_using_offset_pagination.py \
 --ignore=tests/unit/test_channels/test_backends.py \
 --ignore=tests/unit/test_channels/test_plugin.py \
 --ignore=tests/unit/test_cli/test_schema_commands.py \
 --ignore=tests/unit/test_contrib/test_attrs/test_schema_spec_generation.py \
 --ignore=tests/unit/test_contrib/test_opentelemetry.py \
 --ignore=tests/unit/test_contrib/test_piccolo_orm/test_piccolo_orm_dto.py \
 --ignore=tests/unit/test_contrib/test_pydantic/test_integration.py \
 --ignore=tests/unit/test_contrib/test_pydantic/test_openapi.py \
 --ignore=tests/unit/test_controller.py \
 --ignore=tests/unit/test_dto/test_factory/test_utils.py \
 --ignore=tests/unit/test_file_system.py \
 --ignore=tests/unit/test_handlers/test_http_handlers/test_media_type.py \
 --ignore=tests/unit/test_handlers/test_http_handlers/test_validations.py \
 --ignore=tests/unit/test_kwargs/test_reserved_kwargs_injection.py \
 --ignore=tests/unit/test_kwargs/test_validations.py \
 --ignore=tests/unit/test_openapi \
 --ignore=tests/unit/test_pagination.py \
 --ignore=tests/unit/test_plugins/test_attrs/test_schema_spec_generation.py \
 --ignore=tests/unit/test_plugins/test_pydantic/test_integration.py \
 --ignore=tests/unit/test_plugins/test_pydantic/test_openapi.py \
 --ignore=tests/unit/test_response/test_response_to_asgi_response.py \
 --ignore=tests/unit/test_response/test_serialization.py \
 --ignore=tests/unit/test_security/test_jwt/test_auth.py \
 --ignore=tests/unit/test_security/test_session_auth.py \
 --ignore=tests/unit/test_stores.py \
 --ignore=tests/unit/test_testing/test_request_factory.py \
 --ignore=tests/unit/test_testing/test_sub_client/test_subprocess_client.py \
 --ignore=tests/unit/test_testing/test_test_client.py \
 --ignore=tests/unit/test_utils/test_typing.py \
 -k 'not test_backlog \
 and not test_prometheus_exporter_metrics_with_http \
 and not test_qsize \
 and not test_request_body_logging_middleware \
 and not test_sqlalchemy_declarative_models \
 and not test_with_portal \
 and not test_with_stores \
 '

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache
