=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 daphne,
 python3-all,
 python3-advanced-alchemy,
 python3-aiosqlite,
 python3-anyio,
 python3-asyncmy,
 python3-asyncpg,
 python3-beanie,
 python3-brotli,
 python3-bs4,
 python3-cryptography,
 python3-flaky,
 python3-fsspec,
 python3-httpx,
 python3-httpx-sse,
 python3-hypercorn,
 python3-hypothesis,
 python3-jinja2,
 python3-jwt,
 python3-mako,
 python3-minijinja,
 python3-msgspec,
 python3-multidict,
 python3-picologging,
## python3-polyfactory,
 python3-prometheus-client,
 python3-psutil,
 python3-psycopg,
 python3-pydantic,
 python3-pydantic-extra-types,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-lazy-fixtures,
 python3-pytest-mock,
 python3-pytest-timeout,
 python3-pytest-tornasync,
 python3-pytest-trio,
 python3-pytest-twisted,
 python3-pytest-xdist,
 python3-redis,
 python3-sqlalchemy,
 python3-starlette,
 python3-structlog,
 python3-time-machine,
 python3-trio,
 python3-yaml,
 uvicorn,
 @,
Restrictions: allow-stderr
