## litestar 2.15.2

=== debian/changelog ===
litestar (2.15.2-2) unstable; urgency=medium

  * [81667e1] d/rules: Ignore DeprecationWarnings during tests
    (Closes: #1104654)

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Sun, 04 May 2025 09:56:07 +0000

litestar (2.15.2-1) unstable; urgency=medium

  * [345c829] New upstream version 2.15.2
    (Closes: #1101855)
  * [13c3328] Rebuild patch queue from patch queue branch
    Updated patch:
    pyproject.toml-Don-t-use-dist-loadgroup.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 06 Apr 2025 18:04:09 +0200

litestar (2.15.1-3) unstable; urgency=medium

  * [97475fa] Rebuild patch queue from patch queue branch
    Added patch:
    tests-Skip-test_server_root_path_handling-on-riscv64.patch
  * [651084f] d/control: Add python3-polyfactory to B-D
  * [ded8c53] d/rules: Addjust PYBUILD_TEST_ARGS after new B-D
  * [9c02a5d] d/README.source: Update information about the tests
  * [68574fa] autopkgtest: Add new needed package needed for tests
  * [5e82a95] autopkgtest: Adjust the test setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 17 Mar 2025 18:22:12 +0200

litestar (2.15.1-2) unstable; urgency=medium

  * [bb2d2b2] autopkgtest: Ignore two more tests using a httpx server

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 10 Mar 2025 19:25:10 +0200
