=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=litestar
export PYBUILD_BEFORE_TEST=cp -a docs {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs
export PYBUILD_TEST_ARGS=\
 --ignore=docs/examples/testing/test_subprocess_sse.py \
 --ignore=tests/unit/test_channels/test_backends.py \
 --ignore=tests/unit/test_channels/test_plugin.py \
 --ignore=tests/unit/test_cli/test_schema_commands.py \
 --ignore=tests/unit/test_contrib/test_opentelemetry.py \
 --ignore=tests/unit/test_file_system.py \
 --ignore=tests/unit/test_kwargs/test_validations.py \
 --ignore=tests/unit/test_middleware/test_rate_limit_middleware.py \
 --ignore=tests/unit/test_openapi \
 --ignore=tests/unit/test_stores.py \
 --ignore=tests/unit/test_testing/test_sub_client/test_subprocess_client.py \
 --ignore=tests/unit/test_testing/test_test_client.py \
 -W ignore::DeprecationWarning \
 -k 'not test_backlog \
 and not test_prometheus_exporter_metrics_with_http \
 and not test_qsize \
 and not test_request_body_logging_middleware \
 and not test_sqlalchemy_declarative_models \
 and not test_with_portal \
 and not test_with_stores \
 '

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache
