## litestar 2.16.0

=== debian/changelog ===
litestar (2.16.0-1) unstable; urgency=medium

  * [39ec476] New upstream version 2.16.0

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Thu, 08 May 2025 08:20:36 +0000
