=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  python3-multidict <!nocheck>,
  python3-multipart <!nocheck>,
 ## python3-opentelemetry-sdk <!nocheck>,
-## python3-polyfactory <!nocheck>,
+ python3-polyfactory <!nocheck>,
  python3-prometheus-client <!nocheck>,
  python3-psutil <!nocheck>,
  python3-psycopg <!nocheck>,
