## litestar 2.18.0

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # =============================================================================
 
 .PHONY: install
-install:
+install:  											## Install dependencies
 	@uv sync
 
 .PHONY: clean
