=== debian/changelog ===
litestar (2.18.0-1) unstable; urgency=medium

  * [e11f25b] d/watch: Convert to version 5
  * [b3cc98d] New upstream version 2.18.0
  * [ed12412] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [f2233d3] d/rules: Drop some more tests
    (Closes: #1114186)
  * [50cbc36] d/rules: Ignore also 'ResourceWarning' while tests

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 25 Oct 2025 06:38:16 +0200
