=== debian/control ===
--- 
+++ 
@@ -61,7 +61,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/litestar.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/litestar
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 #Package: python-litestar-doc
 #Section: doc
