=== debian/tests/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Tests:
- upstream-tests
+ upstream-tests,
 Depends:
  daphne,
- python3-all,
  python3-advanced-alchemy,
  python3-aiosqlite,
+ python3-all,
  python3-anyio,
  python3-asyncmy,
  python3-asyncpg,
@@ -25,7 +25,7 @@
  python3-msgspec,
  python3-multidict,
  python3-picologging,
-## python3-polyfactory,
+ python3-polyfactory,
  python3-prometheus-client,
  python3-psutil,
  python3-psycopg,
@@ -49,4 +49,5 @@
  python3-yaml,
  uvicorn,
  @,
-Restrictions: allow-stderr
+Restrictions:
+ allow-stderr,
