## litestar 2.19.0

=== debian/changelog ===
litestar (2.19.0-2) unstable; urgency=medium

  * [43d5cdd] Rebuild patch queue from patch-queue branch
    Updated and renamed patch:
    tests-Skip-test_server_root_path_handling-on-riscv64.patch -->
    tests-Skip-tests-expect-to-fail-on-riscv64.patch
  * [a138e01] d/rules: Add more tests to ignore at build time
    (Closes: #1124174)
  * [2f1a35e] autopkgtest: Also ignore here some more tests

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 31 Dec 2025 12:31:53 +0200

litestar (2.19.0-1) unstable; urgency=medium

  * [6309e49] New upstream version 2.19.0
    (Closes: #1123146)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 23 Dec 2025 16:46:34 +0200
