## litestar 2.21.0

=== debian/changelog ===
litestar (2.21.0-1) unstable; urgency=medium

  * [30685cb] New upstream version 2.21.0
  * [1fff377] d/control: Update Standards-Version to 4.7.3
  * [291947c] d/control: Drop field Priority: optional
  * [dd65840] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 19 Feb 2026 21:19:22 +0200
