=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: litestar
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Carsten Schoenert <c.schoenert@t-online.de>,
@@ -56,7 +55,7 @@
  python3-trio <!nocheck>,
  python3-uvicorn <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/litestar-org/litestar
 Vcs-Git: https://salsa.debian.org/python-team/packages/litestar.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/litestar
